# Get Pipeline Template

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Pipeline Template"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipeline_templates/{pipeline_name}"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Return pipeline template by pipeline_name.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"pipeline_name","required":true,"schema":{"title":"Pipeline Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"author":{"description":"Author of the pipeline template.","title":"Pipeline Template Author","type":"string"},"available_to_all_organization_types":{"default":false,"description":"Whether the pipeline template is available to all organization types in deepset.","title":"Available to all organization types","type":"boolean"},"best_for":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The best use case for the pipeline template.","title":"Best For"},"deepset_cloud_version":{"description":"The version of deepset this pipeline template is compatible with.","title":"deepset Version","enum":["v2"],"type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Description of the pipeline template.","title":"Pipeline Template Description"},"expected_output":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The output of this pipeline template.","title":"Expected Output"},"indexing_yaml":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The Haystack pipeline YAML configuration for indexing provided by the pipeline template.","title":"Indexing YAML"},"name":{"description":"Name of the pipeline template.","title":"Pipeline Template Name","type":"string"},"pipeline_name":{"description":"Initial name of a pipeline when created from this template.","title":"Name of the Pipeline","type":"string"},"pipeline_template_id":{"description":"Unique identifier of the pipeline template.","format":"uuid","title":"Pipeline Template ID","type":"string"},"pipeline_type":{"description":"The type of pipeline this template is for.","title":"Pipeline Type","enum":["indexing","query"],"type":"string"},"potential_applications":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Examples of real-life scenarios for this pipeline templates.","title":"Potential Applications"},"query_yaml":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The Haystack pipeline YAML configuration for querying provided by the pipeline template.","title":"Query YAML"},"recommended_dataset":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"The type of data this pipeline template works best on.","title":"Recommended Dataset"},"tags":{"description":"The tags assigned to the pipeline template.","items":{"properties":{"name":{"description":"Name of the tag.","title":"Tag Name","type":"string"},"tag_id":{"description":"Unique identifier of the tag.","format":"uuid","title":"Tag ID","type":"string"}},"required":["tag_id","name"],"title":"Tag","type":"object"},"title":"Pipeline Template Tags","type":"array"}},"required":["pipeline_template_id","name","author","pipeline_name","pipeline_type","tags","deepset_cloud_version"],"title":"PipelineTemplate","type":"object"}}},"description":"Return pipeline template by 'pipeline_name'."},"404":{"description":"The pipeline template you specified doesn't exist. Check if the 'pipeline_name' is correct."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
